## org.eclipse.jet.taglib.java
Class JavaActionsUtil

    java.lang.Object
      org.eclipse.jet.taglib.java.JavaActionsUtil

    public class JavaActionsUtil

extends java.lang.Object

Utility class for Java related actions.

Method Summary
`static org.eclipse.jet.internal.taglib.java.PackageTag` `findContainingJavaPackageTag(CustomTag tag)`
`static org.eclipse.core.resources.IContainer` `getContainerForPackage(org.eclipse.core.runtime.IPath sourceFolder, java.lang.String packageName)` Return the `IFolder` corresponding to the given Java package name.
`static org.eclipse.core.resources.IFolder` `getFolderForPackage(org.eclipse.core.runtime.IPath sourceFolder, java.lang.String packageName)` Deprecated. Use `getContainerForPackage(IPath,String)` instead
`static org.eclipse.emf.codegen.util.ImportManager` `getImportManager(JET2Writer writer)` Return the imports manager installed in the current writer.
`static org.eclipse.core.resources.IFile` `getResourceForJavaResource(org.eclipse.core.runtime.IPath srcFolderPath, java.lang.String pkgName, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFolderForPackage

    public static org.eclipse.core.resources.IFolder getFolderForPackage(org.eclipse.core.runtime.IPath sourceFolder,
                                                                         java.lang.String packageName)
                                                                  throws JET2TagException

  Deprecated. Use `getContainerForPackage(IPath,String)` instead

  Return the `IFolder` corresponding to the given Java package name.

  Parameters:
    `sourceFolder` - the source folder containing the package
    `packageName` - the package name
  Returns:
    the folder corresponding to the package
  Throws:
    `JET2TagException` - if the source folder is not valid.

### getContainerForPackage

    public static org.eclipse.core.resources.IContainer getContainerForPackage(org.eclipse.core.runtime.IPath sourceFolder,
                                                                               java.lang.String packageName)
                                                                        throws JET2TagException

  Return the `IFolder` corresponding to the given Java package name.

  Parameters:
    `sourceFolder` - the source folder containing the package
    `packageName` - the package name
  Returns:
    the folder corresponding to the package
  Throws:
    `JET2TagException` - if the source folder is not valid.

### getImportManager

    public static org.eclipse.emf.codegen.util.ImportManager getImportManager(JET2Writer writer)
                                                                       throws JET2TagException

  Return the imports manager installed in the current writer.

  Parameters:
    `writer` - the current writer. Cannot be `null`.
  Returns:
    the imports manager installed on the writer.
  Throws:
    `JET2TagException` - if no <java:importsLocation> tag has executed on the writer.
    `java.lang.NullPointerException` - if `writer` is `null`.

### findContainingJavaPackageTag

    public static org.eclipse.jet.internal.taglib.java.PackageTag findContainingJavaPackageTag(CustomTag tag)
                                                                                        throws JET2TagException

  Throws:
    `JET2TagException`

### getResourceForJavaResource

    public static org.eclipse.core.resources.IFile getResourceForJavaResource(org.eclipse.core.runtime.IPath srcFolderPath,
                                                                              java.lang.String pkgName,
                                                                              java.lang.String fileName)
                                                                       throws JET2TagException

  Throws:
    `JET2TagException`

Copyright 2006 IBM Corporation and others. All Rights Reserved.